import React from 'react'
import { Field, reduxForm } from 'redux-form'
import Authbuttons from './authButtons'



const RegistrForm = props => {

  const { handleSubmit, pristine, reset, postUsersData } = props
  const submit = (values) =>{
    values.avatar = "https://site.com"
    values.isAdmin = 1
    values.description = "gfdfgdgdf"
    postUsersData(values)
  
}
  return (
    <div>
      <Authbuttons />
      <form onSubmit={handleSubmit(submit)} className="form">
        <div>
          <div>
            <Field
              name="login"
              component="input"
              type="text"
              placeholder="Логин"
              className="input"
            />
          </div>

          <div>
            <Field
              name="password"
              component="input"
              type="password"
              placeholder="Пароль"
              className="input"
              />
          </div>

          <div>
            <Field
              name="name"
              component="input"
              type="text"
              placeholder="Имя"
              className="input"
            />
          </div>
          <div>
            <Field
              name="phone"
              component="input"
              type="text"
              placeholder="+380XXXXXXXX"
              className="input"
            />
          </div>
          <div>
            <Field
              name="email"
              component="input"
              type="email"
              placeholder="email@example.com"
              className="input"
            />
          </div>
        </div>
        <div>
          <button type="submit" disabled={pristine} className="button">
            Отправить
          </button>
          <button type="button" disabled={pristine} onClick={reset} className="button">
            Очистить поля
          </button>
        </div>
        </form>
      </div>

  )
}

export default reduxForm({
  form: 'registrForm'
})(RegistrForm)