import { combineReducers } from "redux";
import { reducer as formReducer } from 'redux-form';

import usersRegistration from './usersRegistration'
import usersAuthorisation from './usersAuthorisation'

import staffs from './staffs'
import searchStaff from './searchStaff'
import addStaff from './addStaff'
import staffById from './staffsById'
import searchStaffById from './searchStaffById'


export default  combineReducers({
    usersRegistr: usersRegistration,
    usersAuth: usersAuthorisation,
    staffs: staffs,
    searchStaff,
    addStaff,
    staffById,
    searchStaffById,
    form: formReducer,
})