import React, { Component, Fragment } from 'react';

import Loader from 'react-loader-spinner'

class FullInfoAboutStaff extends Component {
    render() {
        const { InfoStaff, isFetching } = this.props
        
        let data;
            if(isFetching===true){
                data = <div> 
                    <Loader 
                type="Triangle"
                color="#1890ff"
                height="75"	
                width="75"
             /> 
             </div> 
            }
            else {
                data = InfoStaff.map((el,key)=>(<div className="staff"  key={key}> {el.title} {el.price} {el.description} {el.img} </div>)
                    )
            }
        return (

            <Fragment>
                
             {data} 
                    
            </Fragment>

        );
    }
}

export default FullInfoAboutStaff;